SPA Brands

SPA: Creates a Brand

Creates a Brand resource.

POST/api/spa/brands

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/json
required

The new Brand resource

{
  "identifier": "string",
  "displayName": "Example name",
  "condition": "true",
  "color": "#083E5D",
  "priority": 1,
  "ciCheckEnabled": true,
  "ciSettings": [
    "string"
  ],
  "subClient": {},
  "active": true,
  "activeFrom": "2024-01-01"
}

Response

201application/json

Brand resource created

id
integer
identifier
stringrequired
displayName
stringrequired
condition
stringrequired

Example: "true"

color
stringrequired

Example: "#083E5D"

priority
integer

Example: 1

ciCheckEnabled
boolean

Available options: truefalse

ciSettings
string[] | null
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"